Modify

#613 closed defect (fixed)

Better input validation on default_target setting

Reported by: YottaByte@… Owned by:
Priority: major Milestone:
Component: BitlBee Version: 1.2.6
Keywords: Error Channel does not exist Cc:
IRC client+version: mIRC, XChat, YChat and ClIRC Operating System: Public server
OS version/distro: Windows XP and Nintendo DSi 1.4

Description

Most of the times when i'm trying to use any command in &bitlbee it says "Channel does not exist". For me it doesn't matter, because it's possible to /msg the root thing, but it is a bug.

Attachments (0)

Change History (12)

comment:1 Changed at 2010-05-13T00:45:28Z by wilmer

Hm, and you get that using any of the IRC clients mentioned in the bug report?

comment:2 Changed at 2010-05-13T13:04:49Z by YottaByte@…

I got it using all of those clients. I tested some webclients like CGI:IRC and Mibbit, but with those clients you got it too.

comment:3 Changed at 2010-05-13T22:12:06Z by wilmer

Is this using im.bitlbee.org?

Even with a clean account?

comment:4 Changed at 2010-05-14T07:27:59Z by anonymous

Yes, i'm using im.bitlbee.org, but i don't really know what you mean with clean account. I just registered and changed some settings, like what everyone does.

comment:5 Changed at 2010-05-14T21:50:06Z by wilmer

If you just log in under a new nick that you haven't used there before, it still happens?

Just making sure, maybe you enabled some setting that makes BitlBee behave like this. Otherwise I have no clue how a bug like this can come up in several (very common) IRC clients.

comment:6 Changed at 2010-05-24T09:48:39Z by YottaByte

I already found a way to fix it. I setted all my settings back and then slowly, step by step setting it in my way. Now it works fine again. Ps. I don't really get why we are speaking English if we're both Dutch...

comment:7 Changed at 2010-05-24T09:50:46Z by Wilmer van der Gaast <wilmer@…>

You're right, except this is a public bug tracker, so using a universal language is not a bad idea.

Any clue which setting caused this odd behaviour then, BTW?

comment:8 Changed at 2010-05-24T09:52:56Z by YottaByte

I think it's about the settings which are standard set as 'root'. I setted some of them to 'Admin', which changed the settings of root's nick, and some other things.

comment:9 Changed at 2010-05-24T10:01:16Z by Wilmer van der Gaast <wilmer@…>

Oh, ah. default_target, I think? That one's a bit dangerous, I think you're not the first to have some problems with it. I should add some verification to it, yeah. I'll keep this bug open for that.

Glad you have the problem resolved, at least.

"Bedankt en veel plezier!"

comment:10 Changed at 2010-05-24T13:25:36Z by YottaByte

Yeah, if you keep this one open, people can find how to solve it if they use the search engine.

comment:11 Changed at 2010-06-30T23:52:51Z by wilmer

Summary: Channel ExistingBetter input validation on default_target setting

comment:12 Changed at 2010-08-21T19:53:34Z by wilmer

Resolution: fixed
Status: newclosed

That should be fixed in the current code.

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.